Subject: Re: linux-next: Tree for Oct 13

From: Corey Minyard <[email-masked]>
Date: Wed, 13 Oct 2021 08:50:23 -0500

On Wed, Oct 13, 2021 at 07:13:09AM -0500, Rob Herring wrote:
> On Wed, Oct 13, 2021 at 05:05:22PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > News: there will be no linux-next release tomorrow.
> > 
> > Changes since 20211012:
> > 
> > The arm-soc tree lost its build failure.
> > 
> > The net-next tree gained a conflict against the net tree.
> > 
> > The drm-misc tree lost its build failure.
> > 
> > The amdgpu tree lost its build failure.
> > 
> > Non-merge commits (relative to Linus' tree): 7055
> >  6867 files changed, 394074 insertions(+), 162696 deletions(-)
> 
> The commit 9cc6726f68af ("ipmi:ipmb: Add OF support") was added and has 
> warnings for 'make dt_binding_check'. I'm replying here because the 
> commit hasn't been sent to any list in lore.

Thanks, I have fixed all these issues, I think.  Running

  make dt_binding_check DT_SCHEMA_FILES=Documentation/devicetree/bindings/ipmi/ipmi-ipmb.yaml

doesn't show any errors or warnings for this file, though it shows some
for other files.

-corey

> 
> Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dts:22.13-26: Warning (reg_format): /example-0/ipmi-ipmb@0x40:reg: property has invalid length (4 bytes) (#address-cells == 1, #size-cells == 1)
> Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dts:19.24-26.11: Warning (unit_address_format): /example-0/ipmi-ipmb@0x40: unit name should not have leading "0x"
> Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dt.yaml: Warning (pci_device_reg): Failed prerequisite 'reg_format'
> Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dt.yaml: Warning (pci_device_bus_num): Failed prerequisite 'reg_format'
> Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dt.yaml: Warning (simple_bus_reg): Failed prerequisite 'reg_format'
> Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dt.yaml: Warning (i2c_bus_reg): Failed prerequisite 'reg_format'
> Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dt.yaml: Warning (spi_bus_reg): Failed prerequisite 'reg_format'
> /builds/robherring/linux-dt/Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dt.yaml: example-0: ipmi-ipmb@0x40:reg:0: [64] is too short
> 	From schema: /usr/local/lib/python3.8/dist-packages/dtschema/schemas/reg.yaml
> /builds/robherring/linux-dt/Documentation/devicetree/bindings/ipmi/ipmi-ipmb.example.dt.yaml: example-0: 'ipmi-ipmb@0x40' does not match any of the regexes: '.*-names$', '.*-supply$', '^#.*-cells$', '^#[a-zA-Z0-9,+\\-._]{0,63}$', '^[a-zA-Z][a-zA-Z0-9,+\\-._]{0,63}$', '^[a-zA-Z][a-zA-Z0-9,+\\-._]{0,63}@[0-9a-fA-F]+(,[0-9a-fA-F]+)*$', '^__.*__$', 'pinctrl-[0-9]+'
> 	From schema: /usr/local/lib/python3.8/dist-packages/dtschema/schemas/dt-core.yaml
> 
> 
> Rob